# vim: set ft=spec: -*- rpm-spec -*-
# hey Emacs, its -*- rpm-spec -*-

# %%branch_switch set %%branch_release use
%define branch_switch M41

%{?!_rpmmacrosdir:%global _rpmmacrosdir %_sysconfdir/rpm/macros.d}

Name: webserver-common
Version: 1.4
Release: %branch_release alt1

Summary: Common resources for the Web srvers
Summary(ru_RU.KOI8-R):    Web  
License: %asl
Group: System/Servers

Url: http://httpd.apache.org
Packager: Aleksey Avdeev <solo@altlinux.ru>
BuildArch: noarch

Source1: altlinux.png
# rpm macro definitions
Source2: webserver-rpm-macros.spec.inc
Source3: webserver-uploadsdir.control

# include webserver-rpm-macros.spec.inc
%include %SOURCE2

PreReq: %name-control >= 1.4

Provides: %webserver_webappsdir
Provides: %webserver_uploadsdir

BuildRequires(pre): rpm-macros-branch
BuildPreReq: rpm-build-licenses
BuildPreReq: control

%description
The package is the resources necessary for Web servers.

%description -l ru_RU.KOI8-R
    ,   Web .


%package control
Summary: Control scripts for the Web srvers common resources
Summary(ru_RU.KOI8-R):  control   Web  
Group: System/Servers

PreReq: %_controldir

%description control
The package is the control scripts for Web servers common resources.

%description control -l ru_RU.KOI8-R
     control   Web .


%package -n rpm-macros-%name
Summary: RPM macros to rebuild Web servers and apps packages
Summary(ru_RU.KOI8-R): RPM     -  
Group: Development/Other

Conflicts: %name < 1.0

%description -n rpm-macros-%name
The package provide a set of macros for packaging Web applications
according to the ALT Linux Web Packaging Policy.

%description -n rpm-macros-%name -l ru_RU.KOI8-R
        
   ALT Linux Web Packaging Policy.


%package -n rpm-build-%name
Summary: RPM helper to rebuild Web servers and apps packages
Summary(ru_RU.KOI8-R):     Web   
Group: Development/Other

Conflicts: %name < 1.0
Requires: rpm-macros-%name >= %version

%description -n rpm-build-%name
These helper provide possibility to rebuild Web servers and applications
packages by some ALT Linux Web Packaging Policy.

%description -n rpm-build-%name -l ru_RU.KOI8-R
         
   ALT Linux Web Packaging Policy.


%prep
%setup -cTn %name-%version

%build
sed -e 's/^%%define[[:space:]]\+/%%/' %SOURCE2 > webserver.rpm-macros
sed -e 's|@webserver_uploadsdir@|%webserver_uploadsdir|g' \
	-e 's|@webserver_group@|%webserver_group|g' \
	-e 's|@webserver_webmaster@|%webserver_webmaster|g' \
	%SOURCE3 > webserver-uploadsdir.control

%install

install -d -m755 %buildroot%webserver_webappsdir/
install -d -m755 %buildroot%webserver_uploadsdir/

install -pD -m644 webserver.rpm-macros \
	%buildroot%_rpmmacrosdir/%name

install -pD -m755 webserver-uploadsdir.control \
	%buildroot%_controldir/webserver-uploadsdir

mkdir -p %buildroot%_rpmlibdir
cat <<\EOF >%buildroot%_rpmlibdir/%name-files.req.list
# %name dirlist for %_rpmlibdir/files.req
%webserver_webappsdir/	%name
%webserver_uploadsdir/	%name
EOF

# SCRIPTS

%pre
%_sbindir/groupadd -r -f %webserver_group 2>/dev/null ||:
%_sbindir/groupadd -r -f %webserver_webmaster 2>/dev/null ||:
%pre_control webserver-uploadsdir

%post
%post_control -s webmasteronly webserver-uploadsdir

%files control
%_controldir/webserver-uploadsdir

%files -n rpm-macros-%name
%_rpmmacrosdir/%name

%files -n rpm-build-%name
%_rpmlibdir/%name-files.req.list

%files
%attr(2771,root,%webserver_webmaster) %dir %webserver_webappsdir/
%attr(2755,root,root) %dir %webserver_uploadsdir/

%changelog
* Tue Oct 12 2010 Aleksey Avdeev <solo@altlinux.ru> 1.4-alt0.M41.1
- Backports to 4.1

* Tue Oct 12 2010 Aleksey Avdeev <solo@altlinux.ru> 1.4-alt1
- Add %%webserver_uploadsdir dir
- Add build %%name-control subpackage

* Thu Dec 18 2008 Aleksey Avdeev <solo@altlinux.ru> 1.3-alt2
- Fix dir provides

* Tue Aug 05 2008 Aleksey Avdeev <solo@altlinux.ru> 1.3-alt1
- Fix %%webserver_manualaddosndir macros name (%%webserver_manualaddosndir
  obsoleted)

* Tue Aug 05 2008 Aleksey Avdeev <solo@altlinux.ru> 1.2-alt1
- Add %%webserver_manualaddosndir dir

* Sun Jul 13 2008 Aleksey Avdeev <solo@altlinux.ru> 1.1-alt1
- Add build subpackage for ALT Linux RPM Packaging Policy:
  + rpm-macros-%%name
  + rpm-build-%%name
- Rename macro %%webserver_webapps to %%webserver_webappsdir

* Thu Jul 10 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt4
- Add dir provides

* Tue Jul 01 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt3
- Use rpm-build-licenses

* Mon Jun 30 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt2
- Add new conflicts

* Tue Jun 10 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt1
- Add %%webserver_webapps dir (see
  http://freesource.info/wiki/AltLinux/Policy/Drafts/webpolicy)
- Conflicts update

* Mon May 14 2007 Aleksey Avdeev <solo@altlinux.ru> 0.1-alt1
- First build for ALT Linux
